<?php
//Chech whether we are indeed included by Piwigo.
if (!defined('MEDIA_ICON_PATH')) die('Hacking attempt!');

//Load globals
global $conf, $page;

//Library for tabs
include_once(PHPWG_ROOT_PATH .'admin/include/tabsheet.class.php');

//Load translation files
load_language('plugin.lang', MEDIA_ICON_PATH);

//Check access and exit when user status is not ok
check_status(ACCESS_ADMINISTRATOR);

//Initialization
$my_base_url = get_admin_plugin_menu_link(__FILE__);

//Tab management
if (!isset($_GET['tab']))
    $page['tab'] = 'general';
else
    $page['tab'] = $_GET['tab'];

$tabsheet = new tabsheet();
$tabsheet->add('general',
               l10n('General'),
               $my_base_url.'&amp;tab=general');
$tabsheet->add('advanced',
               l10n('Advanced options'),
               $my_base_url.'&amp;tab=advanced');
$tabsheet->select($page['tab']);
$tabsheet->assign();

switch ($page['tab']) {
	case 'advanced':
		include_once(dirname(__FILE__).'/admin/admin_advanced.php');
		break;
	default:
		include_once(dirname(__FILE__).'/admin/admin_general.php');
		break;
}
?>